VERSION 5.00
Begin VB.UserControl ctlContain 
   Alignable       =   -1  'True
   CanGetFocus     =   0   'False
   ClientHeight    =   3600
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   4800
   ControlContainer=   -1  'True
   ForwardFocus    =   -1  'True
   ScaleHeight     =   3600
   ScaleWidth      =   4800
   ToolboxBitmap   =   "qContain.ctx":0000
   Begin VB.Shape ShapeContain 
      BorderStyle     =   3  'Dot
      Height          =   1905
      Left            =   0
      Top             =   0
      Width           =   2085
   End
End
Attribute VB_Name = "ctlContain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'Author
'  Name .....: Josip Medved
'  E-mail ...: jmedved@vip.hr
'  URL ......: http://web.vip.hr/jmedved.vip/qeyes/

'Information
'  Additional : -
'  Required ..: -
'  Has help ..: No
'  Has readme : No
'  Has sample : No
'  Created ...: - (yyyy/mm/dd)
'  Last update: 2002/04/12 (yyyy/mm/dd)
'  Notes .....: -

'If you use this file in your program it would be nice to mention
'where you got it from, but you are not obligated to do so.


Private xBackColor As OLE_COLOR

Public Event Resize()

Public Property Get BackColor() As OLE_COLOR
  BackColor = xBackColor
End Property

Public Property Let BackColor(yBackColor As OLE_COLOR)
  xBackColor = yBackColor
  UserControl.BackColor = xBackColor
  PropertyChanged "BackColor"
End Property

Public Property Get Enabled() As Boolean
  Enabled = UserControl.Enabled
End Property

Public Property Let Enabled(yEnabled As Boolean)
  UserControl.Enabled = yEnabled
End Property

Public Property Get ScaleTop() As Long
  ScaleTop = 0
End Property

Public Property Get ScaleLeft() As Long
  ScaleLeft = 0
End Property

Public Property Get ScaleWidth() As Long
  ScaleWidth = UserControl.Width
End Property

Public Property Get ScaleHeight() As Long
  ScaleHeight = UserControl.Height
End Property

Private Sub UserControl_InitProperties()
  BackColor = &H8000000F
End Sub

Private Sub UserControl_Resize()
  If UserControl.Ambient.UserMode = True Then
    If ShapeContain.Visible <> False Then ShapeContain.Visible = False
    RaiseEvent Resize
  Else
    If ShapeContain.Visible <> True Then ShapeContain.Visible = True
    ShapeContain.Width = UserControl.ScaleWidth
    ShapeContain.Height = UserControl.ScaleHeight
  End If
End Sub

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
  BackColor = PropBag.ReadProperty("BackColor", &H8000000F)
End Sub

Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
  PropBag.WriteProperty "BackColor", BackColor, &H8000000F
End Sub
