Public Class Tray

	Private Shared frmMain As New frmMain

	Private Shared mnxNotifyShow As New MenuItem("&Show...")
	Private Shared mnxNotifyExit As New MenuItem("E&xit")
	Private Shared notMain As New System.Windows.Forms.NotifyIcon

	Shared Sub New()
		'These two lines are must if you want displaying your form to work properly.
		frmMain.CreateControl()
		frmMain.Handle.GetType()
	End Sub


	Public Shared Sub Show()
		mnxNotifyShow.DefaultItem = True
		AddHandler mnxNotifyShow.Click, AddressOf mnxNotifyShow_Click
		AddHandler mnxNotifyExit.Click, AddressOf mnxNotifyExit_Click

		notMain.ContextMenu = New ContextMenu(New MenuItem() {mnxNotifyShow, New MenuItem("-"), mnxNotifyExit})
		notMain.Icon = New System.Drawing.Icon(System.Reflection.Assembly.GetEntryAssembly.GetManifestResourceStream("HighlanderSample.Main.ico"), 16, 16)
		notMain.Text = "Highlander Sample"
		notMain.Visible = True
		AddHandler notMain.DoubleClick, AddressOf notMain_DoubleClick
	End Sub

	Public Shared Sub Hide()
		notMain.Visible = False
	End Sub

	Public Shared ReadOnly Property Form() As frmMain
		Get
			Return frmMain
		End Get
	End Property

	Private Shared Sub mnxNotifyShow_Click(ByVal sender As Object, ByVal e As System.EventArgs)
		SyncLock GetType(Tray)
			frmMain.Show()
			frmMain.Activate()
		End SyncLock
	End Sub

	Private Shared Sub mnxNotifyExit_Click(ByVal sender As Object, ByVal e As System.EventArgs)
		Application.Exit()
	End Sub

	Private Shared Sub notMain_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs)
		Call mnxNotifyShow_Click(sender, New System.EventArgs)
	End Sub

End Class
