Attribute VB_Name = "mdlHrBox"
'Author
'  Name .....: Josip Medved
'  E-mail ...: jmedved@vip.hr
'  URL ......: http://web.vip.hr/jmedved.vip/qeyes/

'Information
'  Additional : -
'  Requires ..: -
'  Has help ..: No
'  Has readme : No
'  Has sample : Yes
'  Created ...: 2001/07/21 (yyyy/mm/dd)
'  Last update: 2002/04/12 (yyyy/mm/dd)
'  Notes .....: -

'If you use this file in your program it would be nice to mention
'where you got it from, but you are not obligated to do so.


Option Explicit

Private Const WH_CBT As Long = 5
Private Const HCBT_ACTIVATE As Long = 5

Private Declare Function CallNextHookEx Lib "USER32" (ByVal hHook As Long, ByVal nCode As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Private Declare Function GetClassName Lib "USER32" Alias "GetClassNameA" (ByVal hwnd As Long, ByVal lpClassName As String, ByVal nMaxCount As Long) As Long
Private Declare Function EnumChildWindows Lib "USER32" (ByVal hWndParent As Long, ByVal lpEnumFunc As Long, ByVal lParam As Long) As Long
Private Declare Function GetCurrentThreadId Lib "kernel32" () As Long
Private Declare Function SetWindowsHookEx Lib "USER32" Alias "SetWindowsHookExA" (ByVal idHook As Long, ByVal lpfn As Long, ByVal hmod As Long, ByVal dwThreadId As Long) As Long
Private Declare Function SetWindowText Lib "USER32" Alias "SetWindowTextA" (ByVal hwnd As Long, ByVal lpString As String) As Long
Private Declare Function UnhookWindowsHookEx Lib "USER32" (ByVal hHook As Long) As Long

Private xParam As Long
Private xHook As Long
Private xButtons As Long

Public Function HrInputBox(ByVal Prompt As String, Optional ByVal Title As String = "", Optional ByVal Default As String = "", Optional ByVal XPos As Long = &HFFFFFFFF, Optional ByVal YPos As Long = &HFFFFFFFF, Optional HelpFile As String, Optional Context As Long) As String
  Dim tmphInst As Long, tmpThreadID As Long
  
  xParam = 0
  
  tmphInst = App.hInstance
  tmpThreadID = GetCurrentThreadId()
  xButtons = -1
  
  xHook = SetWindowsHookEx(WH_CBT, AddressOf BoxHook, tmphInst, tmpThreadID)

  If Title = "" Then Title = App.Title

  If XPos = -1 And YPos = -1 Then
    HrInputBox = InputBox(Prompt, Title, Default, , , HelpFile, Context)
  Else
    HrInputBox = InputBox(Prompt, Title, Default, XPos, YPos, HelpFile, Context)
  End If
End Function

Public Function HrMsgBox(ByVal Prompt As String, Optional ByVal Buttons As VbMsgBoxStyle = vbOKOnly, Optional ByVal Title As String = "", Optional HelpFile As String, Optional Context As Long) As VbMsgBoxResult
  Dim tmphInst As Long, tmpThreadID As Long
  
  xParam = 0

  tmphInst = App.hInstance
  tmpThreadID = GetCurrentThreadId()
  xButtons = Buttons
  
  xHook = SetWindowsHookEx(WH_CBT, AddressOf BoxHook, tmphInst, tmpThreadID)
 
  If Title = "" Then Title = App.Title

  HrMsgBox = MsgBox(Prompt, Buttons, Title, HelpFile, Context)
End Function

Private Function BoxHook(ByVal nCode As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
  Dim tmpRetLen As Long
  Dim tmpBuff As String
  
  BoxHook = CallNextHookEx(xHook, nCode, wParam, lParam)

  If nCode = HCBT_ACTIVATE Then
    tmpBuff = String(32, vbNullChar)
    tmpRetLen = GetClassName(wParam, tmpBuff, 32)
    
    If Left$(tmpBuff, tmpRetLen) <> "#32770" Then Exit Function
    
    On Error Resume Next
    
    Dim tmpRet As Long
    tmpRet = EnumChildWindows(wParam, AddressOf BoxEnumChildWindowProc, xButtons)
    
    UnhookWindowsHookEx xHook
  End If
End Function

Public Function BoxEnumChildWindowProc(ByVal hwnd As Long, ByVal lParam As Long) As Long
  Dim tmpBuff As String, tmpRetLen As Long
  Dim tmpRet As Long
  
  tmpBuff = String(32, vbNullChar)
  tmpRetLen = GetClassName(hwnd, tmpBuff, 32)

  If Left$(tmpBuff, tmpRetLen) = "Button" Then
    If lParam = -1 Then
      If xParam = 0 Then
        tmpRet = SetWindowText(hwnd, "U redu")
      ElseIf xParam = 1 Then
        tmpRet = SetWindowText(hwnd, "Odustani")
      ElseIf xParam = 2 Then
        tmpRet = SetWindowText(hwnd, "Pomo")
      End If
    ElseIf (lParam And vbRetryCancel) = vbRetryCancel Then
      If xParam = 0 Then
        tmpRet = SetWindowText(hwnd, "Ponovi")
      Else
        tmpRet = SetWindowText(hwnd, "Odustani")
      End If
    ElseIf (lParam And vbYesNo) = vbYesNo Then
      If xParam = 0 Then
        tmpRet = SetWindowText(hwnd, "Da")
      Else
        tmpRet = SetWindowText(hwnd, "Ne")
      End If
    ElseIf (lParam And vbYesNoCancel) = vbYesNoCancel Then
      If xParam = 0 Then
        tmpRet = SetWindowText(hwnd, "Da")
      ElseIf xParam = 1 Then
        tmpRet = SetWindowText(hwnd, "Ne")
      ElseIf xParam = 2 Then
        tmpRet = SetWindowText(hwnd, "Odustani")
      End If
    ElseIf (lParam And vbAbortRetryIgnore) = vbAbortRetryIgnore Then
      If xParam = 0 Then
        tmpRet = SetWindowText(hwnd, "Prekini")
      ElseIf xParam = 1 Then
        tmpRet = SetWindowText(hwnd, "Ponovi")
      ElseIf xParam = 2 Then
        tmpRet = SetWindowText(hwnd, "Zanemari")
      End If
    ElseIf (lParam And vbOKCancel) = vbOKCancel Then
      If xParam = 0 Then
        tmpRet = SetWindowText(hwnd, "U redu")
      Else
        tmpRet = SetWindowText(hwnd, "Odustani")
      End If
    Else
      tmpRet = SetWindowText(hwnd, "U redu")
    End If
    xParam = xParam + 1
  End If
  BoxEnumChildWindowProc = 1
End Function
