Public Class Main

	Public Shared Sub Main()
		'These two lines should be as close to beggining as possible. First ones is good place.
		AddHandler Highlander.Highlander.NewInstanceDetected, AddressOf NewInstanceDetected
		If Highlander.Highlander.IsAlreadyStarted = True Then End

		AddHandler Application.ApplicationExit, AddressOf ApplicationExit 'add handler for exit

		Tray.Show()	'show tray

		Application.Run() 'Just to keep message loop going
	End Sub

	Private Shared Sub ApplicationExit(ByVal sender As Object, ByVal e As EventArgs)
		Tray.Hide()
		System.Environment.Exit(0)
	End Sub


	Private Shared Sub NewInstanceDetected(ByVal sender As Object, ByVal e As Highlander.NewInstanceEventArgs)
		'There is new instance there
		'Notice that you have CommandLineArgs transfered to you.
		'If this was notepad, one could use it to load file.
		Dim method As New NewInstanceDetectedProcDelegate(AddressOf NewInstanceDetectedProc)
		Tray.Form.Invoke(method, New Object() {e.CommandLineArgs})
	End Sub

	Private Delegate Sub NewInstanceDetectedProcDelegate(ByVal args As String())

	Private Shared Sub NewInstanceDetectedProc(ByVal args As String())
		Tray.Form.txtParameters.Lines = args
		Tray.Form.Show()
		Tray.Form.Activate()
	End Sub

End Class
